function GaborPriznaky=banka3(vyrezSedoton,u,v,m,n) 
if (nargin ~= 5) %spravny pocet vstupu?
    error('pocet vstupu musi byt 5!')
end

%% banka filtru %W
G=zeros(m,n,u*v);
for i = 1:u    
    s=(0.25/((sqrt(2))^(i-1)) ) / (2*pi);
    alfa = (0.25/((sqrt(2))^(i-1)))/sqrt(2);
    beta = (0.25/((sqrt(2))^(i-1)))/sqrt(2);    
    for j = 1:v
        tetav = ((j-1)/v)*pi;
        gFilter = zeros(m,n);        
        for x = 1:m
            for y = 1:n
                xprime = (x-((m+1)/2))*cos(tetav)+(y-((n+1)/2))*sin(tetav);
                yprime = -(x-((m+1)/2))*sin(tetav)+(y-((n+1)/2))*cos(tetav);
                gFilter(x,y) = s*exp(2*pi*sqrt(2*pi*s)*xprime -((alfa^2)*(xprime^2)+(beta^2)*(yprime^2)));
            end
        end
        G(:,:,(i-1)*v+j)=gFilter;      
    end
end

%% Vypocet vektoru priznaku
G=real(G);
for j=1:length(G(1,1,:)) %vysledek konvoluce obrazu s jednotlivými filtry
    GaborPriznaky(:,:,j)=conv2(vyrezSedoton,G(:,:,j),'same');
end
end